<?php

namespace SM\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;

class BirtReport extends \Zeedhi\Framework\Controller\Report
{
    public function __construct(ReportService $reportService)
    {
        parent::__construct($reportService);
    }

    /** @var array  */
    protected $reportMapping = array (
        'Relacao_de_Controles_de_Atividades' => array(
            'strategy'         => 'BIRT',
            'parameterMapping' => array(
                'P_CDCLIENTE'       => 'P_CDCLIENTE',
                'P_CDCLIENTE_T'     => 'P_CDCLIENTE_T',
                'P_DTINI'           => 'P_DTINI',
                'P_DTFIM'           => 'P_DTFIM',
                'P_CDPROJETO'       => 'P_CDPROJETO',
                'P_CDTIPOSERV'      => 'P_CDTIPOSERV',
                'P_NRPROPOSTA'      => 'P_NRPROPOSTA',
                'P_CDFUNC'          => 'P_CDFUNC',
                'P_CDPROJETO_T'     => 'P_CDPROJETO_T',
                'P_CDTIPOSERV_T'    => 'P_CDTIPOSERV_T',
                'P_NRPROPOSTA_T'    => 'P_NRPROPOSTA_T',
                'P_CDFUNC_T'        => 'P_CDFUNC_T'
            )
        )
    );
}
